maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Stephen Connolly (JIRA)" <j...@apache.org>
Subject [jira] [Reopened] (MNG-6092) warn if prerequisites.maven is used for non-plugin projects
Date Mon, 09 Jan 2017 09:57:04 GMT

     [ https://issues.apache.org/jira/browse/MNG-6092?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Stephen Connolly reopened MNG-6092:
-----------------------------------

Maven 3.4.0 has been dropped. See [this thread|https://mail-archives.apache.org/mod_mbox/maven-dev/201701.mbox/%3CCA%2BnPnMx-e7kGYy3Hp87v8hLGdhp1q%3DtKLx_6QuZ4kGUqHEBGcw%40mail.gmail.com%3E]
for more details.

This issue will need to be re-scheduled for a Maven release in the (hopefully near) future.

> warn if prerequisites.maven is used for non-plugin projects
> -----------------------------------------------------------
>
>                 Key: MNG-6092
>                 URL: https://issues.apache.org/jira/browse/MNG-6092
>             Project: Maven
>          Issue Type: Wish
>          Components: core
>    Affects Versions: 3.3.9
>            Reporter: Hervé Boutemy
>            Assignee: Karl Heinz Marbaise
>             Fix For: 3.4.0
>
>
> as seen in MNG'4840 and documented in MNG-5297, in Maven 3, prerequisites.maven has a
meaning for plugin projects: defining this for non-plugins projects makes feel that it will
be checked like it was done in Maven 2, but this is not the case.
> Adding a warning could help people avoid this habit taken with Maven 2



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message